# Linux Agent

> **Note:**\
> Please check [Prerequisites and System Requirements](https://docs.threatdefence.com/endpoint-agent/prerequisites) before proceeding.

***

## Installation Steps

1. [Log in to the Customer Portal](https://portal.threatdefence.io/deployment/endpoint-agent) and select your tenant from the dropdown menu.\
   Your **Activation Code** will be displayed.
2. Choose your **Linux distribution**, then click **Generate Download Link**.

   ![Generate Download Link](https://4191868192-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FOlFHF8fl339QOw3Og8L7%2Fuploads%2Fgit-blob-1ab6b8964eb7b127bbb55389b44f3f79677a978c%2Fgendllink_6.png?alt=media)
3. Once the link is generated, either:

   * Click **Click Here to Download** to download the installer, or
   * Copy one of the **Install Scripts** from the panel that appears.

   ![Install Scripts](https://4191868192-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FOlFHF8fl339QOw3Og8L7%2Fuploads%2Fgit-blob-804dea68c1aa2aab2d8c31707951a2594f1fe459%2Flinux_installscripts.png?alt=media)
4. Transfer the downloaded installer to your Linux system (if downloaded), or run the commands from the **Install Scripts** panel.\
   For manual installation, run in your terminal:

```
chmod 755 TD_Endpoint.run
sudo ./TD_Endpoint.run install --activation_code ***your Activation Code***
```

5. The installer should complete, and provide output to your terminal.![Linux install done](https://4191868192-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FOlFHF8fl339QOw3Og8L7%2Fuploads%2Fgit-blob-b752b0166f6132a842430d9bced63311655e5f4f%2Fdone.png?alt=media)

### Advanced Options

#### Disable auto updates on installation:

```
chmod 755 TD_Endpoint.run
sudo ./TD_Endpoint.run install --activation_code ***your Activation Code*** --auto_update No
```

#### Use an explicit http proxy on installation:

```
chmod 755 TD_Endpoint.run
sudo https_proxy="http://PROXY_IP:PROXY_PORT" ./TD_Endpoint.run install --activation_code ***your Activation Code*** --proxy http://PROXY_IP:PROXY_PORT
```

#### Change auto update options after installation

**Enable:**

```
sudo /opt/TDAgent/tdcli/tdcli.bin enable-autoupgrade
```

#### Disable:

```
sudo /opt/TDAgent/tdcli/tdcli.bin disable-autoupgrade
```

### Uninstalling Linux Agent

Open your terminal and run the command: `sudo /opt/TDAgent/tdcli/tdcli.bin uninstall-all`

![Linux install uninstall](https://4191868192-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FOlFHF8fl339QOw3Og8L7%2Fuploads%2Fgit-blob-f51f9881bae0a32ead9954b60541dc6f79745780%2Flinux_uninstall.png?alt=media)

You should see the “Successfully uninstalled TDAgent” message as above.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.threatdefence.com/endpoint-agent/installation-guides/linux-installation.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
